<app-header-logged pageOrigine="/monobjet">
    <ion-back-button text="" defaultHref="/mesobjetsassures"></ion-back-button>
</app-header-logged>
<ion-content>
    <app-refresher></app-refresher>

    <marquee behavior="alternate" scrolldelay="100" scrollamount="4" direction="right" style="color: secondary; font-size: 13px">
        <ion-text color="secondary">
            L'assurance de votre toyota expire bientot
        </ion-text>
    </marquee>
    <ion-card class="background">
        <!-- <div class="contentBlock titreSection">
      <p class="heading">STATUT VEHICULE</p>
      <div class="image" *ngIf="!titreStatutVisible" (click)="affichageDetails(titreStatutParam,true)">

        <img src="../../assets/icon/details.svg">
      </div>
      <div class="image" *ngIf="titreStatutVisible" (click)="affichageDetails(titreStatutParam,false)">
        <img src="../../assets/icon/close.svg">
      </div>
    </div> -->
        <div>
            <div class="contentBlock titrePage" style="margin-left: 0px">
                <p>
                    <img class="iconeVoiture" src="../../assets/icon/car.svg" />
                </p>
                <p>{{objet.intitule}}</p>
                <!-- <p>{{objet.marque}} {{objet.modele}}</p> -->
            </div>

            <div class="contentBlock">
                <!-- <p *ngIf="objet.statut==4">
                    Statut :Assuré du {{displayDate(objet.contrats[objet.contrats.length-1].dateEffet)}} au {{displayDate(objet.contrats[objet.contrats.length-1].dateCloture)}}
                </p>

                <p *ngIf="objet.statut==3">
                    Statut : L'objet est valide pas assuré pour le moment
                </p>
                <p *ngIf="objet.statut==2">
                    Statut : La validation de l'objet en cours
                </p>
                <p *ngIf="objet.statut==1">
                    Statut : La validation de l'objet a échoué
                </p> -->
            </div>
        </div>

        <div class="contentBlock titreSection">
            <p class="heading">INFORMATIONS VEHICULE</p>
            <div class="image" *ngIf="!infoVehVisible" (click)="affichageDetails(infoVehParam,true)">
                <img src="../../assets/icon/details.svg" />
            </div>
            <div class="image" *ngIf="infoVehVisible" (click)="affichageDetails(infoVehParam,false)">
                <img src="../../assets/icon/close.svg" />
            </div>
        </div>
        <div *ngIf="infoVehVisible">
            <div *ngIf="this.objet.numeroTitulaire" class="contentBlock">
                <p class="titleColor">N° Titulaire :</p>
                <p>{{this.objet.numeroTitulaire}}</p>
            </div>
            <ion-list *ngFor="let item of this.objet.attributs">
                <div *ngIf="this.showImmatriculation && item.attribut.code=='immatriculation'" class="contentBlock">
                    <p class="titleColor">N° Immatriculation :</p>
                    <p>{{item.valeur}}</p>
                </div>

                <div *ngIf="this.showCarteGrise && item.attribut.code=='numeroCartegrise'" class="contentBlock">
                    <p class="titleColor">N° Carte Grise :</p>
                    <p>{{item.valeur}}</p>
                </div>

                <div *ngIf="this.showMarqueVehicule && item.attribut.code=='marqueVehiculeAuto'" class="contentBlock">
                    <p class="titleColor">Marque du Véhicule :</p>
                    <p>{{item.valeur}}</p>
                </div>

                <div *ngIf="this.showAppelationCom && item.attribut.code=='appellationCom'" class="contentBlock">
                    <p class="titleColor">Modèle :</p>
                    <p>{{item.valeur}}</p>
                </div>

                <div *ngIf="this.showMarqueMoto && item.attribut.code=='marqueVehiculeMoto'" class="contentBlock">
                    <p class="titleColor">Marque du Véhicule :</p>
                    <p>{{item.valeur}}</p>
                </div>

                <div *ngIf="this.showAppelationComMoto && item.attribut.code=='appellationComMoto'" class="contentBlock">
                    <p class="titleColor">Modèle :</p>
                    <p>{{item.valeur}}</p>
                </div>

                <div *ngIf="this.showTypeVehicule && item.attribut.code=='valTypeVéhicule'" class="contentBlock">
                    <p class="titleColor">Type Véhicule</p>
                    <!-- <p>{{item.valeur.substr(22)}}</p> -->
                    <p>{{item.valeur}}</p>
                </div>

                <div *ngIf="this.showTypeCarosserie && item.attribut.code=='valTypeCarosserieAuto'" class="contentBlock">
                    <p class="titleColor">Type Carosserie</p>
                    <!-- <p>{{item.valeur.substr(8)}}</p> -->
                    <p>{{item.valeur}}</p>
                </div>

                <div *ngIf="this.showCategorieVehicule && item.attribut.code=='valCategorieVehicule'" class="contentBlock">
                    <p class="titleColor">Categorie</p>
                    <!-- <p>{{item.valeur.substr(22).slice(0,27)}}</p> -->
                    <p>{{item.valeur}}</p>
                </div>

                <div *ngIf="this.showValUtilisation && item.attribut.code=='valUtilisation'" class="contentBlock">
                    <p class="titleColor">Usage</p>
                    <p>{{item.valeur}}</p>
                </div>

                <div *ngIf="this.showTypeEnergie && item.attribut.code=='valTypeEnergie'" class="contentBlock">
                    <p class="titleColor">Carburant :</p>
                    <p>{{item.valeur}}</p>
                </div>

                <div *ngIf="this.showDateFirstCir && item.attribut.code=='valDate1ereCirculation'" class="contentBlock">
                    <p class="titleColor">Age du Véhicule</p>
                    <p>{{item.valeur}}</p>
                </div>

                <div *ngIf="this.showValPuissance && item.attribut.code=='valPuissance'" class="contentBlock">
                    <p class="titleColor">Puissance Fiscale :</p>
                    <p>{{item.valeur}}</p>
                </div>

                <div *ngIf="this.showNombrePlace && item.attribut.code=='valNombrePlace'" class="contentBlock">
                    <p class="titleColor">Nbre de Places :</p>
                    <p>{{item.valeur}}</p>
                </div>

                <div *ngIf="this.showValeurDeclare && item.attribut.code=='mntValeurDeclaree'" class="contentBlock">
                    <p class="titleColor">Valeur déclarative :</p>
                    <p>{{item.valeur}}</p>
                </div>

                <div *ngIf="this.showAppelationCom && item.attribut.code=='mntValeurNeuve'" class="contentBlock">
                    <p class="titleColor">Valeur initiale :</p>
                    <p>{{item.valeur}}</p>
                </div>

                <div *ngIf="this.showDateVisiteTech && item.attribut.code=='dateVisiteTech'" class="contentBlock">
                    <p class="titleColor">Fin Visite Technique :</p>

                    <p [ngClass]="[diffdate(item.valeur,date,'jour')>15?'dateblanc':'',
            diffdate(item.valeur,date,'jour')<15 && diffdate(item.valeur,date,'jour') >=0?'dateorange':'',
              diffdate(item.valeur,date,'jour')<0?'daterouge':''
              ]" readonly>
                        {{displayDate(item.valeur)}}

                        <ion-text color="warning" *ngIf="diffdate(item.valeur,date,'jour')<15 && diffdate(item.valeur,date,'jour') >=0 ">
                            <small><small
                                    >-{{diffdate(item.valeur,date,'jour')}}j</small
                                ></small
                            >
                        </ion-text>
                    </p>
                </div>

            </ion-list>
        </div>
        <div class="contentBlock titreSection">
            <p class="heading">DOCUMENTS VEHICULE</p>
            <div class="image" *ngIf="!docVehVisible" (click)="affichageDetails(docVehParam,true)">
                <img src="../../assets/icon/details.svg" />
            </div>
            <div class="image" *ngIf="docVehVisible" (click)="affichageDetails(docVehParam,false)">
                <img src="../../assets/icon/close.svg" />
            </div>
        </div>
        <div *ngIf="docVehVisible">
            <div class="contentBlock" (click)="chargerCarteGrise()">
                <p class="titleColor">Carte Grise:</p>
                <p class="fileButton">
                    <ion-icon name="cloud-download" slot="end"></ion-icon>
                </p>
            </div>

            <!-- <div class="contentBlock" (click)="chargerControleTechnique()">
                <p class="titleColor">Controle Technique:</p>

                <p class="fileButton">
                    <ion-label>
                        Telecharger
                        <ion-icon name="ios-uploaddoc" color="blue" slot="end"></ion-icon>
                    </ion-label>
                </p>
            </div> -->
        </div>

        <div class="contentBlock titreSection">
            <p class="heading">INFORMATIONS PROPRIETAIRE</p>
            <div class="image" *ngIf="!infoPropVisible" (click)="affichageDetails(infoPropParam,true)">
                <img src="../../assets/icon/details.svg" />
            </div>
            <div class="image" *ngIf="infoPropVisible" (click)="affichageDetails(infoPropParam,false)">
                <img src="../../assets/icon/close.svg" />
            </div>
        </div>
        <div *ngIf="infoPropVisible">
            <div class="contentBlock">
                <p class="titleColor">Nom</p>

                <p>{{this.connectedClient.nom}}</p>
            </div>

            <div class="contentBlock">
                <p class="titleColor">Prenom</p>

                <p>{{this.connectedClient.prenom}}</p>
            </div>

            <div class="contentBlock">
                <p class="titleColor">Civilite</p>

                <p>{{this.connectedClient.civilite.code}}</p>
            </div>
        </div>
        <!-- CONTRAT SECTION -->
        <div class="contentBlock titreSection">
            <p class="heading">CONTRATS</p>
            <div class="image" *ngIf="!contratsVisible" (click)="affichageDetails(contratsParam,true)">
                <img src="../../assets/icon/details.svg" />
            </div>
            <div class="image" *ngIf="contratsVisible" (click)="affichageDetails(contratsParam,false)">
                <img src="../../assets/icon/close.svg" />
            </div>
        </div>
        <ion-grid *ngIf="contratsVisible" no-padding>
            <ion-row no-margin>
                <ion-col text-center  size="2.4">
                    <p class="colonneListe">
                        <ion-text>Police </ion-text>
                    </p>
                </ion-col>

                <ion-col text-center  size="2.4">
                    <p class="colonneListe">
                        <ion-text>Compagnie</ion-text>
                    </p>
                </ion-col>

                <ion-col text-center  size="2.4">
                    <p class="colonneListe">
                        <ion-text>Date effet </ion-text>
                    </p>
                </ion-col>

                <ion-col text-center  size="2.4">
                    <p class="colonneListe">Date Cloture</p>
                </ion-col>
                <!--  size="2.9" -->
                <ion-col text-center  size="2.4">
                    <p class="colonneListe">Statut</p>
                </ion-col>
                <!-- size="0.4" -->
                <!-- <ion-col  text-center>
                    <p class ="colonneListe"> Statuts   </p>
                </ion-col> -->
            </ion-row>

            <ion-row no-margin class="rowItem" (click)="voirContratObjet(contrat)" detail="false" *ngFor="let contrat of this.TabContrats;">

                <ion-col text-center size="2.4">
                    <p class="colonneListe">
                        {{contrat.police}}
                    </p>
                </ion-col>
                <ion-col text-center size="2.4">
                    <img  class="iconeCA" [src]="urlApiLogo+contrat.myCA.id">
                </ion-col>
                <ion-col text-center size="2.4">
                    <p class="colonneListe">
                        {{utilsService.displayDate(contrat.dateEffet)}}
                    </p>
                </ion-col>
                <ion-col text-center  size="2.4">
                    <p class="colonneListe">
                        {{utilsService.displayDate(contrat.dateCloture)}}
                    </p>
                </ion-col>
                <ion-col text-center  size="2.4">
                    <!-- <p class="colonneListe">{{contrat.etat}}</p> -->
                    <p style="margin-left: 30px !important;" [ngClass]="[contrat.etat==1?'colonneListe statusLight statusRas':'colonneListe statusLight statusAlerte']"> </p>
                </ion-col>

            </ion-row>
        </ion-grid>
        <!-- END SECTION -->
        <div class="contentBlock titreSection">
            <p class="heading">HISTORIQUE</p>
            <div class="image" *ngIf="!historiqueVisible" (click)="affichageDetails(historiqueParam,true)">
                <img src="../../assets/icon/details.svg" />
            </div>
            <div class="image" *ngIf="historiqueVisible" (click)="affichageDetails(historiqueParam,false)">
                <img src="../../assets/icon/close.svg" />
            </div>
        </div>
        <div *ngIf="historiqueVisible" class="contentBlock titreSection titreSousSection">
            <p class="heading">OPERATIONS</p>
            <div class="sousImage" *ngIf="!operationVisible" (click)="affichageDetails(operationParam,true)">
                <img src="../../assets/icon/details.svg" />
            </div>
            <div class="sousImage" *ngIf="operationVisible" (click)="affichageDetails(operationParam,false)">
                <img src="../../assets/icon/close.svg" />
            </div>
        </div>

        <ion-grid *ngIf="historiqueVisible && operationVisible" no-padding>
            <ion-row no-margin>
                <ion-col text-center size="0.7">
                    <p class="colonneListe"></p>
                </ion-col>
                <ion-col *ngIf="colonneReseau" text-center size="0.7">
                    <p class="colonneListe">RX</p>
                </ion-col>

                <ion-col text-center>
                    <p class="colonneListe">Type</p>
                </ion-col>

                <ion-col text-center>
                    <p class="colonneListe">
                        <ion-text>Date effet </ion-text>
                    </p>
                </ion-col>

                <ion-col text-center>
                    <p class="colonneListe">Date Cloture</p>
                </ion-col>
                <ion-col size="2.9" text-center>
                    <p class="colonneListe">Statut</p>
                </ion-col>
                <ion-col size="0.4" text-right>
                    <!-- <p class ="colonneListe"> Statuts   </p> -->
                </ion-col>
            </ion-row>

            <ion-row no-margin class="rowItem" (click)="voirContratObjet(operation)" detail="false" *ngFor="let operation of listeOperationsWithStatut;">
                <ion-col *ngIf="operation.contrat.reseau !=null" text-center size="0.7">
                    <img class="iconeVoiture" [src]="urlApiLogoReseau+operation.contrat.reseau.id" />
                </ion-col>
                <ion-col class="colonneReseau" *ngIf="operation.contrat.ca !=null" text-center size="0.7">
                    <img class="iconeVoiture" [src]="urlApiLogo+operation.contrat.ca.id" />
                </ion-col>

                <ion-col text-center>
                    <p class="colonneListe">{{operation.intitule}}</p>
                </ion-col>

                <ion-col text-center>
                    <p class="colonneListe">
                        {{utilsService.displayDate(operation.dateEffet)}}
                    </p>
                </ion-col>
                <ion-col text-center>
                    <p class="colonneListe">
                        {{utilsService.displayDate(operation.dateCloture)}}
                    </p>
                </ion-col>
                <ion-col text-center>
                    <p class="colonneListe">{{operation.statut}}</p>
                </ion-col>
                <ion-col text-left size="0.4">
                    <p class="colonneListe statusLight" [ngClass]="[(operation.statut== statutContratValideNonActifLoc || operation.statut== statutContratActifLoc) ?'statusRas':'',operation.statut==statutContratEnCoursDeValidationLoc?'statusAlerte':'',(operation.statut== statutContratExpireLoc || operation.statut==statutContratResilieLoc || operation.statut == statutContratSuspenduLoc )?'statusDepasse':'']">
                    </p>
                </ion-col>
            </ion-row>
        </ion-grid>

        <div *ngIf="historiqueVisible" class="contentBlock titreSection titreSousSection">
            <p class="heading">SINISTRES</p>
            <div class="sousImage" *ngIf="!sinistreVisible" (click)="affichageDetails(sinistreParam,true)">
                <img src="../../assets/icon/details.svg" />
            </div>
            <div class="sousImage" *ngIf="sinistreVisible" (click)="affichageDetails(sinistreParam,false)">
                <img src="../../assets/icon/close.svg" />
            </div>
        </div>
        <ion-grid *ngIf="historiqueVisible && sinistreVisible" no-padding>
            <ion-row no-margin>
                <ion-col text-center size="0.7">
                    <p class="colonneListe"></p>
                </ion-col>

                <ion-col text-center>
                    <p class="colonneListe">Numéro Sinistre</p>
                </ion-col>

                <ion-col text-center>
                    <p class="colonneListe">
                        <ion-text>Type sinistre </ion-text>
                    </p>
                </ion-col>

                <ion-col text-center>
                    <p class="colonneListe">Date sinistre</p>
                </ion-col>
                <ion-col size="2.9" text-center>
                    <p class="colonneListe">Statut</p>
                </ion-col>
                <ion-col size="0.4" text-right>
                    <!-- <p class ="colonneListe"> Statuts   </p> -->
                </ion-col>
            </ion-row>
        </ion-grid>
    </ion-card>

    <ion-grid padding>
        <ion-row>
            <ion-col *ngIf="!this.isContratValid">
                <ion-button color="primary" expand="block" (click)="formulaireModification()" shape="round">Modifier</ion-button>
            </ion-col>
            <!-- <ion-col *ngIf="!this.isContratValid">
                <ion-button (click)="voirContratObjet()" color="primary" expand="block" shape="round">Voir le contrat
                </ion-button>
            </ion-col> -->
            <ion-col>
                <ion-button color="primary" (click)="assurer()" expand="block" shape="round">Assurer l'Objet
                </ion-button>
            </ion-col>
        </ion-row>
    </ion-grid>
</ion-content>

<ion-footer>
    <app-custom-tab-bar></app-custom-tab-bar>
</ion-footer>